// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v15/cmd/kas/kasapp (interfaces: KasPool,SentryHub)

// Package kasapp is a generated GoMock package.
package kasapp

import (
	context "context"
	reflect "reflect"

	sentry "github.com/getsentry/sentry-go"
	gomock "github.com/golang/mock/gomock"
	grpctool "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v15/internal/tool/grpctool"
)

// MockKasPool is a mock of KasPool interface.
type MockKasPool struct {
	ctrl     *gomock.Controller
	recorder *MockKasPoolMockRecorder
}

// MockKasPoolMockRecorder is the mock recorder for MockKasPool.
type MockKasPoolMockRecorder struct {
	mock *MockKasPool
}

// NewMockKasPool creates a new mock instance.
func NewMockKasPool(ctrl *gomock.Controller) *MockKasPool {
	mock := &MockKasPool{ctrl: ctrl}
	mock.recorder = &MockKasPoolMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockKasPool) EXPECT() *MockKasPoolMockRecorder {
	return m.recorder
}

// Close mocks base method.
func (m *MockKasPool) Close() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Close")
	ret0, _ := ret[0].(error)
	return ret0
}

// Close indicates an expected call of Close.
func (mr *MockKasPoolMockRecorder) Close() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Close", reflect.TypeOf((*MockKasPool)(nil).Close))
}

// Dial mocks base method.
func (m *MockKasPool) Dial(arg0 context.Context, arg1 string) (grpctool.PoolConn, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Dial", arg0, arg1)
	ret0, _ := ret[0].(grpctool.PoolConn)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Dial indicates an expected call of Dial.
func (mr *MockKasPoolMockRecorder) Dial(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Dial", reflect.TypeOf((*MockKasPool)(nil).Dial), arg0, arg1)
}

// MockSentryHub is a mock of SentryHub interface.
type MockSentryHub struct {
	ctrl     *gomock.Controller
	recorder *MockSentryHubMockRecorder
}

// MockSentryHubMockRecorder is the mock recorder for MockSentryHub.
type MockSentryHubMockRecorder struct {
	mock *MockSentryHub
}

// NewMockSentryHub creates a new mock instance.
func NewMockSentryHub(ctrl *gomock.Controller) *MockSentryHub {
	mock := &MockSentryHub{ctrl: ctrl}
	mock.recorder = &MockSentryHubMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSentryHub) EXPECT() *MockSentryHubMockRecorder {
	return m.recorder
}

// CaptureEvent mocks base method.
func (m *MockSentryHub) CaptureEvent(arg0 *sentry.Event) *sentry.EventID {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CaptureEvent", arg0)
	ret0, _ := ret[0].(*sentry.EventID)
	return ret0
}

// CaptureEvent indicates an expected call of CaptureEvent.
func (mr *MockSentryHubMockRecorder) CaptureEvent(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CaptureEvent", reflect.TypeOf((*MockSentryHub)(nil).CaptureEvent), arg0)
}
